SRC/claqr1.f(3)

NAME
SRC/claqr1.f

SYNOPSIS

  Functions/Subroutines
subroutine claqr1 (n, h, ldh, s1, s2, v)
CLAQR1 sets a scalar multiple of the first column of the product of 2-by-2 or 3-by-3 matrix H and specified shifts.

Function/Subroutine Documentation

  subroutine claqr1 (integer n, complex, dimension( ldh, * ) h, integer ldh, complex s1, complex s2, complex, dimension( * ) v)

CLAQR1 sets a scalar multiple of the first column of the product of 2-by-2 or 3-by-3 matrix H and specified shifts.

Purpose:

    !>
    !>      Given a 2-by-2 or 3-by-3 matrix H, CLAQR1 sets v to a
    !>      scalar multiple of the first column of the product
    !>
    !>      (*)  K = (H - s1*I)*(H - s2*I)
    !>
    !>      scaling to avoid overflows and most underflows.
    !>
    !>      This is useful for starting double implicit shift bulges
    !>      in the QR algorithm.
    !>

Parameters
    N

    !>          N is INTEGER
    !>              Order of the matrix H. N must be either 2 or 3.
    !>

    H

    !>          H is COMPLEX array, dimension (LDH,N)
    !>              The 2-by-2 or 3-by-3 matrix H in (*).
    !>

    LDH

    !>          LDH is INTEGER
    !>              The leading dimension of H as declared in
    !>              the calling procedure.  LDH >= N
    !>

    S1

    !>          S1 is COMPLEX
    !>

    S2

    !>          S2 is COMPLEX
    !>
    !>          S1 and S2 are the shifts defining K in (*) above.
    !>

    V

    !>          V is COMPLEX array, dimension (N)
    !>              A scalar multiple of the first column of the
    !>              matrix K in (*).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Karen Braman and Ralph Byers, Department of Mathematics, University of Kansas, USA

Definition at line 106 of file claqr1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.